| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
isotopeWeightData Struct Reference

Database for named isotopic weights. More...

## Detailed Description

Database for named isotopic weights.

Values are used from Kim, et al. [kim2019].

units = kg / kg-mol (or equivalently gm / gm-mol)

This structure was picked because it's simple, compact, and extensible.

Definition at line 48 of file Elements.cpp.

## Public Attributes
string | symbol
| Isotope symbol, first letter capitalized.
string | fullName
| Isotope full name, first letter lowercase.
double | atomicWeight
| Isotope atomic weight in kg / kg-mol.
int | atomicNumber
| Isotope atomic number.

## Member Data Documentation

## ◆ symbol

string symbol

Isotope symbol, first letter capitalized.

Definition at line 49 of file Elements.cpp.

## ◆ fullName

string fullName

Isotope full name, first letter lowercase.

Definition at line 50 of file Elements.cpp.

## ◆ atomicWeight

double atomicWeight

Isotope atomic weight in kg / kg-mol.

Definition at line 51 of file Elements.cpp.

## ◆ atomicNumber

int atomicNumber

Isotope atomic number.

Definition at line 52 of file Elements.cpp.

The documentation for this struct was generated from the following file:

- Elements.cpp